﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <title>Using AJAX to load a usercontrol that has refers to a custom css file</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="imagetoolbar" content="no" />
    <style type="text/css">
    html, body, form
    {
       height: 100%;
       padding: 0px;
       margin: 0px;
       font-family: Arial, Verdana, Sans-serif;
    }
    
    h1
    {
		margin: 8px;
		padding: 0;
    }
    
    .table
    {
        width: 100%;
        height: 100%;
        font-size: 14px;
        border-collapse: collapse;   
    }
    
    .table td
    {
        border: solid 1px black;
        padding: 4px;
        text-align: left;
    }
    
    input
    {
        background: #ccc;
        border: solid 1px black;
        width: 400px;
        font: bold 14px "Trebuchet MS", Arial, Verdana;
        color: black;
    }
    
    iframe
    {
		width: 100%; 
		height: 100%;
    }
    
    p
    {
		margin: 8px;
    }
    
    p img
    {
		display: block;
		margin: 8px 0;
    }
    
    p a
    {
		color: green;
		font-size: 11px;
		font-weight: bold;
		display: block;
		background: infobackground;
		width: 292px;
		padding: 4px;
    }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <h1>Using AJAX to load a usercontrol that has refers to a custom css file</h1>
        <p>This example demonstrates loading user control with a postback and with an AJAX
            request. When the control is loaded with AJAX, its style is not applied because
            the page's head does not get updated. The style can be applied by being dynamically
            added to the update panel and then moved to the page's head, which is done when
            the third button is clicked.</p>
        <table class="table" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 40%">
					<p>
						<asp:HyperLink ID="Button2" runat="server" NavigateUrl="~/Postback.aspx" Target="Content" Text="Load with a postback" title="Load with a postback" />
						<img src="Images/StyledUserControl.gif" width="308" height="169" alt="Styled User Control" />
					</p>
                </td>
                <td rowspan="3" style="height: 100%;">
                    <iframe name="Content" src="Postback.aspx" frameborder="0"></iframe>
                </td>
            </tr>
            <tr>
                <td>
					<p>
						<asp:HyperLink ID="Button3" runat="server" NavigateUrl="~/AjaxRequest.aspx" Target="Content" Text="Load with an AJAX request" title="Load with an AJAX request" />
						<img src="Images/UnstyledUserControl.gif" width="308" height="169" alt="Not Styled User Control" />
                    </p>
				</td>
            </tr>
            <tr>
                <td>
					<p>
						<asp:HyperLink ID="Button4" runat="server" Text="Load with an AJAX request and apply CSS" NavigateUrl="~/AjaxAndCss.aspx" Target="Content" title="Load with an AJAX request and apply CSS" />
						<img src="Images/StyledUserControl.gif" width="308" height="169" alt="Styled User Control" />
					</p>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
