using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class UserControlWithCss : System.Web.UI.UserControl
{
    protected void Page_PreRender(object sender, EventArgs e)
    {        
        //Use traditional "post-back" dependent approach to register a css file to the page <head> tag
        HtmlLink link = new HtmlLink();
        link.Href = "StyleSheet1.css";
        link.Attributes.Add("type", "text/css");
        link.Attributes.Add("rel", "stylesheet");   
        Page.Header.Controls.Add(link);

        //Or make sure it work with AJAX
        if (this.RegisterTagsWithAjax)
        {            
            ScriptManager.RegisterStartupScript(this, GetType(), "scriptFromServer", "MoveToHead('StyleSheet1.css');", true);
        }
    }

    private bool _registerTagsWithAjax = false;
    public bool RegisterTagsWithAjax
    {
        get { return _registerTagsWithAjax; }
        set { _registerTagsWithAjax = value; }
    }    
}
